package cn.com.qmth.examcloud.core.basic.api.provider;

import org.examcloud.core.basic.api.response.GetXxxResp;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.service.DemoService;

@RestController
@RequestMapping("${app.api.root}/demo")
public class DemoController extends ControllerSupport {

	DemoService demoService;

	@GetMapping("getXxx")
	public ResponseEntity<GetXxxResp> getXxx() {
		GetXxxResp demoResp = new GetXxxResp();
		demoResp.setS("test");

		return new ResponseEntity<GetXxxResp>(demoResp, HttpStatus.OK);
	}

}
